## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# No tests provided. 😢
%bcond_with    tests

%global         srcname     azure-mgmt-rdbms

Name:           python-%{srcname}
Version:        10.2.0~b12
%global         pypi_version    10.2.0b12
Release:        %autorelease
Summary:        Microsoft Azure RDBMS Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{pypi_version}}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

BuildRequires:  python3dist(msrest)

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure RDBMS Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


# LICENSE missing. Made PR to fix:
# https://github.com/Azure/azure-sdk-for-python/pull/20176
%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Thu Feb 01 2024 Major Hayden <major@redhat.com> - 1:10.2.0~b12-1
- Update to 10.2.0b12 rhbz#2253123

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.2.0~b11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.2.0~b11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 14 2023 Major Hayden <major@redhat.com> - 1:10.2.0~b11-1
- Update to 10.2.0b11 rhbz#2249655

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.2.0~b10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 1:10.2.0~b10-1
- Update to 10.2~b10 rhbz#2219715

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:10.2.0~b8-2
- Rebuilt for Python 3.12

* Tue May 23 2023 Major Hayden <major@redhat.com> - 1:10.2.0~b8-1
- Update to 10.2.0b8 rhbz#2209184

* Wed May 17 2023 Major Hayden <major@redhat.com> - 1:10.2.0~b7-3
- Migrated to SPDX license

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:10.2.0~b7-2
- S

* Tue Apr 25 2023 Major Hayden <major@redhat.com> - 1:10.2.0~b7-1
- Update to 10.2.0b7

* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 1:10.2.0~b6-1
- Update to 10.2.0b6

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.2.0~b5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 07 2022 Major Hayden <major@redhat.com> - 1:10.2.0~b5-1
- Update to 10.2.0b5

* Thu Sep 08 2022 Major Hayden <major@redhat.com> - 1:10.2.0~b3-1
- Update to 10.2.0

* Tue Aug 02 2022 Major Hayden <major@redhat.com> - 1:10.2.0~b1-1
- Update to 10.2.0~b1

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Major Hayden <major@redhat.com> - 1:10.0.0-6
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:10.0.0-5
- Rebuilt for Python 3.11

* Tue May 17 2022 Major Hayden <major@mhtx.net> - 1:10.0.0-4
- Add dotenv to test requirements

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> - 1:10.0.0-3
- Disable tests in EPEL 9

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 1:10.0.0-1
- Update to 10.0.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:9.1.0b1-2
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:9.1.0b1-1
- Update to 9.1.0b1

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:8.1.0b4-2
- Add epoch number for 8.1.0b4 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:8.1.0b4-1
- Downgrade to 8.1.0b4

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 9.0.0-1
- Update to 9.0.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 8.1.0-1
- Initial import (#1971845)
